Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic:  Attention/ Achtung, an 64-bit time_t transition is in progress in unstable  (Read 27349 times)

Offline Pip

  • User
  • Posts: 165
@lsegrimm666 I suspect that a part of the issue is that you weren't able to update your linux-headers because of all the other files that would have to be involved, so KDE might be sulking. Can you still log on to the command line? If so, do you get results from update/upgrade still? How about full-upgrade, anything worrying in that?

Offline Isegrimm666

  • User
  • Posts: 87
Hi pip ...

i booted my new Notebook and performed a

Code: [Select]
doas apt update && doas apt upgrade
Nothing has to be removed, everything works fine after that.

Than i tried a

Code: [Select]
doas apt full-upgrade
... and this was the result: https://pastebin.com/YVa3UtZU

i would like to check, if there is for every Package, that will be removed a package, that will be installed.

Someone pasted here a codeline, that will check this out ... but i can't understand how to use it.

Offline edlin

  • User
  • Posts: 548
Hallo @lsegrimm666
Also, ich habe heute spasseshalber in einer VM das September-Iso (KDE/Plasma) installiert und nach dem Booten sofort ein apt update && apt full-upgrade durchgeführt. Keine Probleme. Ich schaue bei den libs überhaupt nicht mehr, ob es einen Ersatz gibt. Lediglich bei anderen Paketen schaue ich noch drauf.
Und bei einer Neuinstallation kann dir ohnehin nicht mehr, als etwas Zeit verloren gehen.
Und je länger du ein full-upgrade hinauszögerst, desto mehr Schwierigkeiten wirst du möglicherweise noch haben. Bei deiner letzten pastebin vom Notebook sehe ich keine Probleme.
Und weitere Pakete erst installieren, wenn du per full-upgrade wieder clean bist.

edlin

-------------------
Hello @lsegrimm666
So, I installed the September iso (KDE/Plasma) in a VM today just for fun and immediately did an apt update && apt full-upgrade after booting. No problems. I no longer check the libs at all to see if there is a replacement. I only check for other packages.
And with a new installation you can't lose more than a little time anyway.
And the longer you delay a full-upgrade, the more difficulties you may have. I don't see any problems with your last pastebin from the notebook.
And only install further packages when you are clean again with a full-upgrade.

Translated with DeepL.com (free version)
Der Kluge lernt aus allem und von jedem,
der Normale aus seinen Erfahrungen
und der Dumme weiß alles besser.

Sokrates

Offline Isegrimm666

  • User
  • Posts: 87
Hallo @edlin ...

Da ich Urlaub habe und sonst ja nix zu tun bei dem Wetter  ;) hab ich mich eben daran gemacht, Deinen Tipp umzusetzen.

Ein ...

Code: [Select]
doas apt update && doas apt upgrade
... lief ohne Probleme durch. Der Reboot verlief komplikationslos.

Danach lies ich ein ...

Code: [Select]
doas apt full-upgrade
... durchlaufen.

Hier kam es dann erwartungsgemäß zu "Warnings" aber auch hier gab es keine Ausfälle. Der Reboot auch hier ohne Probleme.

Danach lies ich noch mal ein ...

Code: [Select]
doas apt update && doas apt upgrade
... durchlaufen, was erwartungsgemäß ohne irgendwelche Updates blieb, gefolgt von einem weiteren ...

Code: [Select]
doas apt full-upgrade
... was nur die Empfehlung brachte, mehrere Pakete per "apt autoremove" zu entfernen:

Code: [Select]
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
  kuserfeedback-doc libappstream4 libappstreamqt2 libavutil57 libboost-chrono1.74.0 libboost-dev libboost-filesystem1.74.0 libboost-iostreams1.74.0 libboost-locale1.74.0 libboost-program-options1.74.0
  libboost-thread1.74.0 libboost1.83-dev libcholmod4 libcodec2-1.1 libdav1d6 libdbus-glib-1-2 libgcab-1.0-0 libgdal33 libgeos3.12.0 libgit2-1.5 libkf5jsapi5 libkgantt2-l10n libllvm15 liblua5.3-0
  libmagick++-6.q16-8 libmagickcore-6.q16-6 libmagickcore-6.q16-6-extra libmagickwand-6.q16-6 libnsl-dev libokular5core10 libopenblas-dev libopenblas-pthread-dev libopenblas0 liborcus-0.17-0
  liborcus-parser-0.17-0 libphonon4qt5-data libplacebo292 libpython3-all-dev libpython3.12-dev libpython3.12t64 libsmbios-c2 libspdlog1.10 libtirpc-dev libvpx7 libxsimd-dev libzxing2 lua-lpeg python3-all-dev
  python3-beniget python3-gast python3-ply python3-pythran python3-rfc3986 python3.12-dev rtmpdump xtl-dev
Verwenden Sie »apt autoremove«, um sie zu entfernen.

Schlussendlich (ich war mutig geworden  8) ) folgte ein ...

Code: [Select]
doas aptitude dist-upgrade
... um zu sehen, was passiert. Es passierte nichts, bis auf die gleiche Empfehlung zur Entfernung.

Jetzt allerdings überlege ich, der Empfehlung zu folgen oder eben - erstmal - nicht.

####################### DEEPL-TRANSLATION #####################################

Hi @edlin ...

As I'm on holiday and have nothing else to do in this weather ;) I've just set about implementing your tip.

A ...

Code: [Select]
doas apt update && doas apt upgrade
... went through without any problems. The reboot went smoothly.

After that I ran a ...

Code: [Select]
doas apt full-upgrade
... was run.

As expected, this resulted in "warnings" but there were no failures here either. The reboot also ran without any problems.

Then I ran another ...

Code: [Select]
doas apt update && doas apt upgrade
... which, as expected, remained without any updates, followed by another ...

Code: [Select]
doas apt full-upgrade
... which only resulted in the recommendation to remove several packages via "apt autoremove":

Code: [Select]
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
  kuserfeedback-doc libappstream4 libappstreamqt2 libavutil57 libboost-chrono1.74.0 libboost-dev libboost-filesystem1.74.0 libboost-iostreams1.74.0 libboost-locale1.74.0 libboost-program-options1.74.0
  libboost-thread1.74.0 libboost1.83-dev libcholmod4 libcodec2-1.1 libdav1d6 libdbus-glib-1-2 libgcab-1.0-0 libgdal33 libgeos3.12.0 libgit2-1.5 libkf5jsapi5 libkgantt2-l10n libllvm15 liblua5.3-0
  libmagick++-6.q16-8 libmagickcore-6.q16-6 libmagickcore-6.q16-6-extra libmagickwand-6.q16-6 libnsl-dev libokular5core10 libopenblas-dev libopenblas-pthread-dev libopenblas0 liborcus-0.17-0
  liborcus-parser-0.17-0 libphonon4qt5-data libplacebo292 libpython3-all-dev libpython3.12-dev libpython3.12t64 libsmbios-c2 libspdlog1.10 libtirpc-dev libvpx7 libxsimd-dev libzxing2 lua-lpeg python3-all-dev
  python3-beniget python3-gast python3-ply python3-pythran python3-rfc3986 python3.12-dev rtmpdump xtl-dev
Verwenden Sie »apt autoremove«, um sie zu entfernen.

Finally (I had become brave 8) ) a ...

Code: [Select]
doas aptitude dist-upgrade
... to see what happens. Nothing happened, except for the same recommendation to remove the packages.

Now, however, I'm considering whether to follow the recommendation or not - for now.

Offline edlin

  • User
  • Posts: 548
@Isegrimm666: Dann ist ja endlich alles sauber durchgelaufen und dein System auf dem neuesten Stand. Die zum Entfernen vorgeschlagenen Pakete kannst du mit
Code: [Select]
apt autopurge gehen lassen (mit autopurge werden auch alte Konfigurationen etc. mit entfernt). Diese werden von keinem installierten Paket mehr benötigt bzw. wurden durch andere Versionen ersetzt. Beispiel: libavutil57 -> libavutil58.
Ansonsten empfiehlt sich ein tägliches apt update && apt full-upgrade, da doch jeden Tag etliche Pakete neu eintrudeln und sich so nicht allzu viele aktualisierungen aufstauen.

edlin
---------------------
grimm666: Then everything has finally gone through cleanly and your system is up to date. You can use
Code: [Select]
apt autopurge to remove the packages suggested for removal (autopurge also removes old configurations etc.). These are no longer required by any installed package or have been replaced by other versions. Example: libavutil57 -> libavutil58.
Otherwise, a daily apt update && apt full-upgrade is recommended, as a number of new packages arrive every day and this prevents too many updates from piling up.

edlin
Der Kluge lernt aus allem und von jedem,
der Normale aus seinen Erfahrungen
und der Dumme weiß alles besser.

Sokrates

Offline Isegrimm666

  • User
  • Posts: 87
Wurde so umgesetzt und ... hat geklappt.

Die darauffolgende Installation von texlive, texmaker und freecad verlief auch unproblematisch *g

Danke.  ;)

################################

Was implemented and ... worked.

The subsequent installation of texlive, texmaker and freecad also went smoothly *g

Thank you ;)

Offline pixel24

  • User
  • Posts: 17
Also, ich habe heute spasseshalber in einer VM das September-Iso (KDE/Plasma) installiert und nach dem Booten sofort ein apt update && apt full-upgrade durchgeführt. Keine Probleme

gut zu hören. Ich habe bei einem Freund Mitte/Ende 2023 (kann leider nicht genau sagen wann) Siduction installiert und als das Problem bekannt wurde haben wir aufgehört Updates zu installieren. Ich werde heute Abend die Updates installieren. Hoffe es klappt.

So, just for fun, I installed the September ISO (KDE/Plasma) in a VM today and immediately did an apt update && apt full-upgrade after booting. No issues.

Good to hear. I installed Siduction for a friend around mid/late 2023 (can't say exactly when), and when the problem became known, we stopped installing updates. I'll try installing the updates tonight. Hopefully it works.

Offline pixel24

  • User
  • Posts: 17
apt update, apt upgrade, reboot, apt full-upgrade all worked without any problems!

Offline Isegrimm666

  • User
  • Posts: 87
So ...

"Hasenfuß" Isegrimm hat jetzt auch den Abschluß gefunden:

1. separate Konsole mit: [Strg]+[Alt][F3]

2. login as root

3. graphische Oberfläche mit "service sddm stop" beendet.

4. apt update && apt upgrade (256 Pakete, 1515 zurückgehalten)

5. (rödel, rödel, rödel ...)

6. init 0 und wieder starten*

7. (s. 1 - 3.)

8. apt full-upgrade (1523 Pakete)**

9. (s. 5. und 6.)

9. (s. 1 - 3.)

10. apt-autoremove --purge

11. (s. 5.)

12. ein testweises apt update danach ergab "Alle Pakete aktuell".

... läuft einwandfrei und stabil :)

----------

+ ich mache nie einen reboot. Ich fahre immer runter, warte 10 Sek und starte dann neu.

** es kamen mehrere dpkg-Fehler wg. nicht erfüllter Abhängigkeiten, aber das machte keine Probleme.

Ich hoffe, es läuft bei Euch auch problemlos.